diff --git a/net/kidentitymanagement/pkg-plist b/net/kidentitymanagement/pkg-plist
index e56e0c422921..71f927333c70 100644
--- a/net/kidentitymanagement/pkg-plist
+++ b/net/kidentitymanagement/pkg-plist
@@ -1,91 +1,126 @@
-include/KPim5/KIdentityManagement/KIdentityManagement/Identity
-include/KPim5/KIdentityManagement/KIdentityManagement/IdentityManager
-include/KPim5/KIdentityManagement/KIdentityManagement/Signature
-include/KPim5/KIdentityManagement/KIdentityManagement/Utils
-include/KPim5/KIdentityManagement/kidentitymanagement/identity.h
-include/KPim5/KIdentityManagement/kidentitymanagement/identitymanager.h
-include/KPim5/KIdentityManagement/kidentitymanagement/kidentitymanagement_export.h
-include/KPim5/KIdentityManagement/kidentitymanagement/signature.h
-include/KPim5/KIdentityManagement/kidentitymanagement/utils.h
-include/KPim5/KIdentityManagement/kidentitymanagement_version.h
-include/KPim5/KIdentityManagementWidgets/KIdentityManagement/IdentityCombo
-include/KPim5/KIdentityManagementWidgets/KIdentityManagement/SignatureConfigurator
-include/KPim5/KIdentityManagementWidgets/kidentitymanagement/identitycombo.h
-include/KPim5/KIdentityManagementWidgets/kidentitymanagement/kidentitymanagementwidgets_export.h
-include/KPim5/KIdentityManagementWidgets/kidentitymanagement/signatureconfigurator.h
-lib/cmake/KF5IdentityManagement/KF5IdentityManagementConfig.cmake
-lib/cmake/KF5IdentityManagement/KF5IdentityManagementConfigVersion.cmake
-lib/cmake/KF5IdentityManagement/KPim5IdentityManagementTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5IdentityManagement/KPim5IdentityManagementTargets.cmake
-lib/cmake/KPim5IdentityManagement/KPim5IdentityManagementConfig.cmake
-lib/cmake/KPim5IdentityManagement/KPim5IdentityManagementConfigVersion.cmake
-lib/cmake/KPim5IdentityManagement/KPim5IdentityManagementTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5IdentityManagement/KPim5IdentityManagementTargets.cmake
-lib/libKPim5IdentityManagement.so
-lib/libKPim5IdentityManagement.so.5
-lib/libKPim5IdentityManagement.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-lib/libKPim5IdentityManagementWidgets.so
-lib/libKPim5IdentityManagementWidgets.so.5
-lib/libKPim5IdentityManagementWidgets.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KIdentityManagement.pri
-%%QT_MKSPECDIR%%/modules/qt_KIdentityManagementWidgets.pri
-share/dbus-1/interfaces/kf5_org.kde.pim.IdentityManager.xml
-share/locale/ar/LC_MESSAGES/libkpimidentities5.mo
-share/locale/az/LC_MESSAGES/libkpimidentities5.mo
-share/locale/be/LC_MESSAGES/libkpimidentities5.mo
-share/locale/bs/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ca/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ca@valencia/LC_MESSAGES/libkpimidentities5.mo
-share/locale/cs/LC_MESSAGES/libkpimidentities5.mo
-share/locale/da/LC_MESSAGES/libkpimidentities5.mo
-share/locale/de/LC_MESSAGES/libkpimidentities5.mo
-share/locale/el/LC_MESSAGES/libkpimidentities5.mo
-share/locale/en_GB/LC_MESSAGES/libkpimidentities5.mo
-share/locale/eo/LC_MESSAGES/libkpimidentities5.mo
-share/locale/es/LC_MESSAGES/libkpimidentities5.mo
-share/locale/et/LC_MESSAGES/libkpimidentities5.mo
-share/locale/eu/LC_MESSAGES/libkpimidentities5.mo
-share/locale/fi/LC_MESSAGES/libkpimidentities5.mo
-share/locale/fr/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ga/LC_MESSAGES/libkpimidentities5.mo
-share/locale/gl/LC_MESSAGES/libkpimidentities5.mo
-share/locale/hi/LC_MESSAGES/libkpimidentities5.mo
-share/locale/hne/LC_MESSAGES/libkpimidentities5.mo
-share/locale/hu/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ia/LC_MESSAGES/libkpimidentities5.mo
-share/locale/it/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ja/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ka/LC_MESSAGES/libkpimidentities5.mo
-share/locale/kk/LC_MESSAGES/libkpimidentities5.mo
-share/locale/km/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ko/LC_MESSAGES/libkpimidentities5.mo
-share/locale/lt/LC_MESSAGES/libkpimidentities5.mo
-share/locale/lv/LC_MESSAGES/libkpimidentities5.mo
-share/locale/mr/LC_MESSAGES/libkpimidentities5.mo
-share/locale/nb/LC_MESSAGES/libkpimidentities5.mo
-share/locale/nds/LC_MESSAGES/libkpimidentities5.mo
-share/locale/nl/LC_MESSAGES/libkpimidentities5.mo
-share/locale/nn/LC_MESSAGES/libkpimidentities5.mo
-share/locale/pa/LC_MESSAGES/libkpimidentities5.mo
-share/locale/pl/LC_MESSAGES/libkpimidentities5.mo
-share/locale/pt/LC_MESSAGES/libkpimidentities5.mo
-share/locale/pt_BR/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ro/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ru/LC_MESSAGES/libkpimidentities5.mo
-share/locale/se/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sk/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sl/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sq/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sr/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sr@latin/LC_MESSAGES/libkpimidentities5.mo
-share/locale/sv/LC_MESSAGES/libkpimidentities5.mo
-share/locale/th/LC_MESSAGES/libkpimidentities5.mo
-share/locale/tr/LC_MESSAGES/libkpimidentities5.mo
-share/locale/ug/LC_MESSAGES/libkpimidentities5.mo
-share/locale/uk/LC_MESSAGES/libkpimidentities5.mo
-share/locale/zh_CN/LC_MESSAGES/libkpimidentities5.mo
-share/locale/zh_TW/LC_MESSAGES/libkpimidentities5.mo
-share/qlogging-categories5/kidentitymanagement.categories
-share/qlogging-categories5/kidentitymanagement.renamecategories
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/Identity
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/IdentityActivitiesAbstract
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/IdentityManager
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/IdentityModel
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/IdentityTreeModel
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/IdentityTreeSortProxyModel
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/Signature
+include/KPim6/KIdentityManagementCore/KIdentityManagementCore/Utils
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/identity.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/identityactivitiesabstract.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/identitymanager.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/identitymodel.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/identitytreemodel.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/identitytreesortproxymodel.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/kidentitymanagementcore_export.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/signature.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore/utils.h
+include/KPim6/KIdentityManagementCore/kidentitymanagementcore_version.h
+include/KPim6/KIdentityManagementQuick/KIdentityManagementQuick/CryptographyBackendInterface
+include/KPim6/KIdentityManagementQuick/KIdentityManagementQuick/CryptographyEditorBackend
+include/KPim6/KIdentityManagementQuick/KIdentityManagementQuick/KeyListModelInterface
+include/KPim6/KIdentityManagementQuick/kidentitymanagementquick/cryptographybackendinterface.h
+include/KPim6/KIdentityManagementQuick/kidentitymanagementquick/cryptographyeditorbackend.h
+include/KPim6/KIdentityManagementQuick/kidentitymanagementquick/keylistmodelinterface.h
+include/KPim6/KIdentityManagementQuick/kidentitymanagementquick/kidentitymanagementquick_export.h
+include/KPim6/KIdentityManagementQuick/kidentitymanagementquick_version.h
+include/KPim6/KIdentityManagementWidgets/KIdentityManagementWidgets/IdentityCombo
+include/KPim6/KIdentityManagementWidgets/KIdentityManagementWidgets/IdentityTreeView
+include/KPim6/KIdentityManagementWidgets/KIdentityManagementWidgets/SignatureConfigurator
+include/KPim6/KIdentityManagementWidgets/kidentitymanagementwidgets/identitycombo.h
+include/KPim6/KIdentityManagementWidgets/kidentitymanagementwidgets/identitytreeview.h
+include/KPim6/KIdentityManagementWidgets/kidentitymanagementwidgets/kidentitymanagementwidgets_export.h
+include/KPim6/KIdentityManagementWidgets/kidentitymanagementwidgets/signatureconfigurator.h
+include/KPim6/KIdentityManagementWidgets/kidentitymanagementwidgets_version.h
+lib/cmake/KPim6IdentityManagementCore/KPim6IdentityManagementCoreConfig.cmake
+lib/cmake/KPim6IdentityManagementCore/KPim6IdentityManagementCoreConfigVersion.cmake
+lib/cmake/KPim6IdentityManagementCore/KPim6IdentityManagementCoreTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6IdentityManagementCore/KPim6IdentityManagementCoreTargets.cmake
+lib/cmake/KPim6IdentityManagementQuick/KPim6IdentityManagementQuickConfig.cmake
+lib/cmake/KPim6IdentityManagementQuick/KPim6IdentityManagementQuickConfigVersion.cmake
+lib/cmake/KPim6IdentityManagementQuick/KPim6IdentityManagementQuickTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6IdentityManagementQuick/KPim6IdentityManagementQuickTargets.cmake
+lib/cmake/KPim6IdentityManagementWidgets/KPim6IdentityManagementWidgetsConfig.cmake
+lib/cmake/KPim6IdentityManagementWidgets/KPim6IdentityManagementWidgetsConfigVersion.cmake
+lib/cmake/KPim6IdentityManagementWidgets/KPim6IdentityManagementWidgetsTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6IdentityManagementWidgets/KPim6IdentityManagementWidgetsTargets.cmake
+lib/libKPim6IdentityManagementCore.so
+lib/libKPim6IdentityManagementCore.so.6
+lib/libKPim6IdentityManagementCore.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6IdentityManagementQuick.so
+lib/libKPim6IdentityManagementQuick.so.6
+lib/libKPim6IdentityManagementQuick.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6IdentityManagementWidgets.so
+lib/libKPim6IdentityManagementWidgets.so.6
+lib/libKPim6IdentityManagementWidgets.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/BasicIdentityEditorCard.qml
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/CryptographyEditorCard.qml
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/IdentityConfigurationForm.qml
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/IdentityEditorPage.qml
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/kidentitymanagement_quick_plugin.qmltypes
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/libkidentitymanagement_quick_plugin.so
+%%QT_QMLDIR%%/org/kde/kidentitymanagement/qmldir
+share/dbus-1/interfaces/kf6_org.kde.pim.IdentityManager.xml
+share/locale/ar/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ast/LC_MESSAGES/libkpimidentities6.mo
+share/locale/az/LC_MESSAGES/libkpimidentities6.mo
+share/locale/be/LC_MESSAGES/libkpimidentities6.mo
+share/locale/bs/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ca/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkpimidentities6.mo
+share/locale/cs/LC_MESSAGES/libkpimidentities6.mo
+share/locale/da/LC_MESSAGES/libkpimidentities6.mo
+share/locale/de/LC_MESSAGES/libkpimidentities6.mo
+share/locale/el/LC_MESSAGES/libkpimidentities6.mo
+share/locale/en_GB/LC_MESSAGES/libkpimidentities6.mo
+share/locale/eo/LC_MESSAGES/libkpimidentities6.mo
+share/locale/es/LC_MESSAGES/libkpimidentities6.mo
+share/locale/et/LC_MESSAGES/libkpimidentities6.mo
+share/locale/eu/LC_MESSAGES/libkpimidentities6.mo
+share/locale/fi/LC_MESSAGES/libkpimidentities6.mo
+share/locale/fr/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ga/LC_MESSAGES/libkpimidentities6.mo
+share/locale/gl/LC_MESSAGES/libkpimidentities6.mo
+share/locale/he/LC_MESSAGES/libkpimidentities6.mo
+share/locale/hi/LC_MESSAGES/libkpimidentities6.mo
+share/locale/hne/LC_MESSAGES/libkpimidentities6.mo
+share/locale/hu/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ia/LC_MESSAGES/libkpimidentities6.mo
+share/locale/it/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ja/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ka/LC_MESSAGES/libkpimidentities6.mo
+share/locale/kk/LC_MESSAGES/libkpimidentities6.mo
+share/locale/km/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ko/LC_MESSAGES/libkpimidentities6.mo
+share/locale/lt/LC_MESSAGES/libkpimidentities6.mo
+share/locale/lv/LC_MESSAGES/libkpimidentities6.mo
+share/locale/mr/LC_MESSAGES/libkpimidentities6.mo
+share/locale/nb/LC_MESSAGES/libkpimidentities6.mo
+share/locale/nds/LC_MESSAGES/libkpimidentities6.mo
+share/locale/nl/LC_MESSAGES/libkpimidentities6.mo
+share/locale/nn/LC_MESSAGES/libkpimidentities6.mo
+share/locale/pa/LC_MESSAGES/libkpimidentities6.mo
+share/locale/pl/LC_MESSAGES/libkpimidentities6.mo
+share/locale/pt/LC_MESSAGES/libkpimidentities6.mo
+share/locale/pt_BR/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ro/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ru/LC_MESSAGES/libkpimidentities6.mo
+share/locale/se/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sk/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sl/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sq/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sr/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sr@latin/LC_MESSAGES/libkpimidentities6.mo
+share/locale/sv/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ta/LC_MESSAGES/libkpimidentities6.mo
+share/locale/th/LC_MESSAGES/libkpimidentities6.mo
+share/locale/tr/LC_MESSAGES/libkpimidentities6.mo
+share/locale/ug/LC_MESSAGES/libkpimidentities6.mo
+share/locale/uk/LC_MESSAGES/libkpimidentities6.mo
+share/locale/zh_CN/LC_MESSAGES/libkpimidentities6.mo
+share/locale/zh_TW/LC_MESSAGES/libkpimidentities6.mo
+share/qlogging-categories6/kidentitymanagement.categories
+share/qlogging-categories6/kidentitymanagement.renamecategories
diff --git a/net/kimap/Makefile b/net/kimap/Makefile
index 04448a11216b..db4784152653 100644
--- a/net/kimap/Makefile
+++ b/net/kimap/Makefile
@@ -11,13 +11,12 @@ LICENSE=	LGPL21
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 LIB_DEPENDS=	libsasl2.so:security/cyrus-sasl2
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	codecs config coreaddons i18n kio service \
 		ecm:build
 # pim components
 USE_KDE+=	mime
-USE_QT=		concurrent core dbus network \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/kimap/distinfo b/net/kimap/distinfo
index 57c06d27bdb1..035196929c1e 100644
--- a/net/kimap/distinfo
+++ b/net/kimap/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889473
-SHA256 (KDE/release-service/23.08.5/kimap-23.08.5.tar.xz) = 42fd2019aca7da1a35c0fcf52d956be2bf4fe2eda496f23c982aa890d845783d
-SIZE (KDE/release-service/23.08.5/kimap-23.08.5.tar.xz) = 131156
+TIMESTAMP = 1734460309
+SHA256 (KDE/release-service/24.12.0/kimap-24.12.0.tar.xz) = e7c0f4eb3924ecf4c54ca58cfbb51a7dd4b0ea9870f9613075d07cbc05398a9d
+SIZE (KDE/release-service/24.12.0/kimap-24.12.0.tar.xz) = 132396
diff --git a/net/kimap/pkg-plist b/net/kimap/pkg-plist
index 4cfd7a8007d8..01c0902cfd14 100644
--- a/net/kimap/pkg-plist
+++ b/net/kimap/pkg-plist
@@ -1,193 +1,191 @@
-include/KPim5/KIMAP/KIMAP/Acl
-include/KPim5/KIMAP/KIMAP/AclJobBase
-include/KPim5/KIMAP/KIMAP/AppendJob
-include/KPim5/KIMAP/KIMAP/CapabilitiesJob
-include/KPim5/KIMAP/KIMAP/CloseJob
-include/KPim5/KIMAP/KIMAP/CopyJob
-include/KPim5/KIMAP/KIMAP/CreateJob
-include/KPim5/KIMAP/KIMAP/DeleteAclJob
-include/KPim5/KIMAP/KIMAP/DeleteJob
-include/KPim5/KIMAP/KIMAP/EnableJob
-include/KPim5/KIMAP/KIMAP/ExpungeJob
-include/KPim5/KIMAP/KIMAP/FetchJob
-include/KPim5/KIMAP/KIMAP/GetAclJob
-include/KPim5/KIMAP/KIMAP/GetMetaDataJob
-include/KPim5/KIMAP/KIMAP/GetQuotaJob
-include/KPim5/KIMAP/KIMAP/GetQuotaRootJob
-include/KPim5/KIMAP/KIMAP/IdJob
-include/KPim5/KIMAP/KIMAP/IdleJob
-include/KPim5/KIMAP/KIMAP/ImapSet
-include/KPim5/KIMAP/KIMAP/Job
-include/KPim5/KIMAP/KIMAP/ListJob
-include/KPim5/KIMAP/KIMAP/ListRightsJob
-include/KPim5/KIMAP/KIMAP/LoginJob
-include/KPim5/KIMAP/KIMAP/LogoutJob
-include/KPim5/KIMAP/KIMAP/MetaDataJobBase
-include/KPim5/KIMAP/KIMAP/MoveJob
-include/KPim5/KIMAP/KIMAP/MyRightsJob
-include/KPim5/KIMAP/KIMAP/NamespaceJob
-include/KPim5/KIMAP/KIMAP/QuotaJobBase
-include/KPim5/KIMAP/KIMAP/RFCCodecs
-include/KPim5/KIMAP/KIMAP/RenameJob
-include/KPim5/KIMAP/KIMAP/SearchJob
-include/KPim5/KIMAP/KIMAP/SelectJob
-include/KPim5/KIMAP/KIMAP/Session
-include/KPim5/KIMAP/KIMAP/SessionUiProxy
-include/KPim5/KIMAP/KIMAP/SetAclJob
-include/KPim5/KIMAP/KIMAP/SetMetaDataJob
-include/KPim5/KIMAP/KIMAP/SetQuotaJob
-include/KPim5/KIMAP/KIMAP/StatusJob
-include/KPim5/KIMAP/KIMAP/StoreJob
-include/KPim5/KIMAP/KIMAP/SubscribeJob
-include/KPim5/KIMAP/KIMAP/UnsubscribeJob
-include/KPim5/KIMAP/kimap/Acl
-include/KPim5/KIMAP/kimap/AclJobBase
-include/KPim5/KIMAP/kimap/AppendJob
-include/KPim5/KIMAP/kimap/CapabilitiesJob
-include/KPim5/KIMAP/kimap/CloseJob
-include/KPim5/KIMAP/kimap/CopyJob
-include/KPim5/KIMAP/kimap/CreateJob
-include/KPim5/KIMAP/kimap/DeleteAclJob
-include/KPim5/KIMAP/kimap/DeleteJob
-include/KPim5/KIMAP/kimap/EnableJob
-include/KPim5/KIMAP/kimap/ExpungeJob
-include/KPim5/KIMAP/kimap/FetchJob
-include/KPim5/KIMAP/kimap/GetAclJob
-include/KPim5/KIMAP/kimap/GetMetaDataJob
-include/KPim5/KIMAP/kimap/GetQuotaJob
-include/KPim5/KIMAP/kimap/GetQuotaRootJob
-include/KPim5/KIMAP/kimap/IdJob
-include/KPim5/KIMAP/kimap/IdleJob
-include/KPim5/KIMAP/kimap/ImapSet
-include/KPim5/KIMAP/kimap/Job
-include/KPim5/KIMAP/kimap/ListJob
-include/KPim5/KIMAP/kimap/ListRightsJob
-include/KPim5/KIMAP/kimap/LoginJob
-include/KPim5/KIMAP/kimap/LogoutJob
-include/KPim5/KIMAP/kimap/MetaDataJobBase
-include/KPim5/KIMAP/kimap/MoveJob
-include/KPim5/KIMAP/kimap/MyRightsJob
-include/KPim5/KIMAP/kimap/NamespaceJob
-include/KPim5/KIMAP/kimap/QuotaJobBase
-include/KPim5/KIMAP/kimap/RFCCodecs
-include/KPim5/KIMAP/kimap/RenameJob
-include/KPim5/KIMAP/kimap/SearchJob
-include/KPim5/KIMAP/kimap/SelectJob
-include/KPim5/KIMAP/kimap/Session
-include/KPim5/KIMAP/kimap/SessionUiProxy
-include/KPim5/KIMAP/kimap/SetAclJob
-include/KPim5/KIMAP/kimap/SetMetaDataJob
-include/KPim5/KIMAP/kimap/SetQuotaJob
-include/KPim5/KIMAP/kimap/StatusJob
-include/KPim5/KIMAP/kimap/StoreJob
-include/KPim5/KIMAP/kimap/SubscribeJob
-include/KPim5/KIMAP/kimap/UnsubscribeJob
-include/KPim5/KIMAP/kimap/acl.h
-include/KPim5/KIMAP/kimap/acljobbase.h
-include/KPim5/KIMAP/kimap/appendjob.h
-include/KPim5/KIMAP/kimap/capabilitiesjob.h
-include/KPim5/KIMAP/kimap/closejob.h
-include/KPim5/KIMAP/kimap/copyjob.h
-include/KPim5/KIMAP/kimap/createjob.h
-include/KPim5/KIMAP/kimap/deleteacljob.h
-include/KPim5/KIMAP/kimap/deletejob.h
-include/KPim5/KIMAP/kimap/enablejob.h
-include/KPim5/KIMAP/kimap/expungejob.h
-include/KPim5/KIMAP/kimap/fetchjob.h
-include/KPim5/KIMAP/kimap/getacljob.h
-include/KPim5/KIMAP/kimap/getmetadatajob.h
-include/KPim5/KIMAP/kimap/getquotajob.h
-include/KPim5/KIMAP/kimap/getquotarootjob.h
-include/KPim5/KIMAP/kimap/idjob.h
-include/KPim5/KIMAP/kimap/idlejob.h
-include/KPim5/KIMAP/kimap/imapset.h
-include/KPim5/KIMAP/kimap/job.h
-include/KPim5/KIMAP/kimap/kimap_export.h
-include/KPim5/KIMAP/kimap/listjob.h
-include/KPim5/KIMAP/kimap/listrightsjob.h
-include/KPim5/KIMAP/kimap/loginjob.h
-include/KPim5/KIMAP/kimap/logoutjob.h
-include/KPim5/KIMAP/kimap/metadatajobbase.h
-include/KPim5/KIMAP/kimap/movejob.h
-include/KPim5/KIMAP/kimap/myrightsjob.h
-include/KPim5/KIMAP/kimap/namespacejob.h
-include/KPim5/KIMAP/kimap/quotajobbase.h
-include/KPim5/KIMAP/kimap/renamejob.h
-include/KPim5/KIMAP/kimap/rfccodecs.h
-include/KPim5/KIMAP/kimap/searchjob.h
-include/KPim5/KIMAP/kimap/selectjob.h
-include/KPim5/KIMAP/kimap/session.h
-include/KPim5/KIMAP/kimap/sessionuiproxy.h
-include/KPim5/KIMAP/kimap/setacljob.h
-include/KPim5/KIMAP/kimap/setmetadatajob.h
-include/KPim5/KIMAP/kimap/setquotajob.h
-include/KPim5/KIMAP/kimap/statusjob.h
-include/KPim5/KIMAP/kimap/storejob.h
-include/KPim5/KIMAP/kimap/subscribejob.h
-include/KPim5/KIMAP/kimap/unsubscribejob.h
-include/KPim5/KIMAP/kimap_version.h
-lib/cmake/KF5IMAP/KF5IMAPConfig.cmake
-lib/cmake/KF5IMAP/KF5IMAPConfigVersion.cmake
-lib/cmake/KF5IMAP/KPim5IMAPTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5IMAP/KPim5IMAPTargets.cmake
-lib/cmake/KPim5IMAP/KPim5IMAPConfig.cmake
-lib/cmake/KPim5IMAP/KPim5IMAPConfigVersion.cmake
-lib/cmake/KPim5IMAP/KPim5IMAPTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5IMAP/KPim5IMAPTargets.cmake
-lib/libKPim5IMAP.so
-lib/libKPim5IMAP.so.5
-lib/libKPim5IMAP.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KIMAP.pri
-share/locale/ar/LC_MESSAGES/libkimap5.mo
-share/locale/bs/LC_MESSAGES/libkimap5.mo
-share/locale/ca/LC_MESSAGES/libkimap5.mo
-share/locale/ca@valencia/LC_MESSAGES/libkimap5.mo
-share/locale/cs/LC_MESSAGES/libkimap5.mo
-share/locale/da/LC_MESSAGES/libkimap5.mo
-share/locale/de/LC_MESSAGES/libkimap5.mo
-share/locale/el/LC_MESSAGES/libkimap5.mo
-share/locale/en_GB/LC_MESSAGES/libkimap5.mo
-share/locale/eo/LC_MESSAGES/libkimap5.mo
-share/locale/es/LC_MESSAGES/libkimap5.mo
-share/locale/et/LC_MESSAGES/libkimap5.mo
-share/locale/eu/LC_MESSAGES/libkimap5.mo
-share/locale/fi/LC_MESSAGES/libkimap5.mo
-share/locale/fr/LC_MESSAGES/libkimap5.mo
-share/locale/ga/LC_MESSAGES/libkimap5.mo
-share/locale/gl/LC_MESSAGES/libkimap5.mo
-share/locale/hu/LC_MESSAGES/libkimap5.mo
-share/locale/ia/LC_MESSAGES/libkimap5.mo
-share/locale/it/LC_MESSAGES/libkimap5.mo
-share/locale/ja/LC_MESSAGES/libkimap5.mo
-share/locale/ka/LC_MESSAGES/libkimap5.mo
-share/locale/kk/LC_MESSAGES/libkimap5.mo
-share/locale/km/LC_MESSAGES/libkimap5.mo
-share/locale/ko/LC_MESSAGES/libkimap5.mo
-share/locale/lt/LC_MESSAGES/libkimap5.mo
-share/locale/lv/LC_MESSAGES/libkimap5.mo
-share/locale/mr/LC_MESSAGES/libkimap5.mo
-share/locale/nb/LC_MESSAGES/libkimap5.mo
-share/locale/nds/LC_MESSAGES/libkimap5.mo
-share/locale/nl/LC_MESSAGES/libkimap5.mo
-share/locale/nn/LC_MESSAGES/libkimap5.mo
-share/locale/pa/LC_MESSAGES/libkimap5.mo
-share/locale/pl/LC_MESSAGES/libkimap5.mo
-share/locale/pt/LC_MESSAGES/libkimap5.mo
-share/locale/pt_BR/LC_MESSAGES/libkimap5.mo
-share/locale/ro/LC_MESSAGES/libkimap5.mo
-share/locale/ru/LC_MESSAGES/libkimap5.mo
-share/locale/sk/LC_MESSAGES/libkimap5.mo
-share/locale/sl/LC_MESSAGES/libkimap5.mo
-share/locale/sq/LC_MESSAGES/libkimap5.mo
-share/locale/sr/LC_MESSAGES/libkimap5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkimap5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkimap5.mo
-share/locale/sr@latin/LC_MESSAGES/libkimap5.mo
-share/locale/sv/LC_MESSAGES/libkimap5.mo
-share/locale/tr/LC_MESSAGES/libkimap5.mo
-share/locale/ug/LC_MESSAGES/libkimap5.mo
-share/locale/uk/LC_MESSAGES/libkimap5.mo
-share/locale/zh_CN/LC_MESSAGES/libkimap5.mo
-share/locale/zh_TW/LC_MESSAGES/libkimap5.mo
-share/qlogging-categories5/kimap.categories
-share/qlogging-categories5/kimap.renamecategories
+include/KPim6/KIMAP/KIMAP/Acl
+include/KPim6/KIMAP/KIMAP/AclJobBase
+include/KPim6/KIMAP/KIMAP/AppendJob
+include/KPim6/KIMAP/KIMAP/CapabilitiesJob
+include/KPim6/KIMAP/KIMAP/CloseJob
+include/KPim6/KIMAP/KIMAP/CopyJob
+include/KPim6/KIMAP/KIMAP/CreateJob
+include/KPim6/KIMAP/KIMAP/DeleteAclJob
+include/KPim6/KIMAP/KIMAP/DeleteJob
+include/KPim6/KIMAP/KIMAP/EnableJob
+include/KPim6/KIMAP/KIMAP/ExpungeJob
+include/KPim6/KIMAP/KIMAP/FetchJob
+include/KPim6/KIMAP/KIMAP/GetAclJob
+include/KPim6/KIMAP/KIMAP/GetMetaDataJob
+include/KPim6/KIMAP/KIMAP/GetQuotaJob
+include/KPim6/KIMAP/KIMAP/GetQuotaRootJob
+include/KPim6/KIMAP/KIMAP/IdJob
+include/KPim6/KIMAP/KIMAP/IdleJob
+include/KPim6/KIMAP/KIMAP/ImapSet
+include/KPim6/KIMAP/KIMAP/Job
+include/KPim6/KIMAP/KIMAP/ListJob
+include/KPim6/KIMAP/KIMAP/ListRightsJob
+include/KPim6/KIMAP/KIMAP/LoginJob
+include/KPim6/KIMAP/KIMAP/LogoutJob
+include/KPim6/KIMAP/KIMAP/MetaDataJobBase
+include/KPim6/KIMAP/KIMAP/MoveJob
+include/KPim6/KIMAP/KIMAP/MyRightsJob
+include/KPim6/KIMAP/KIMAP/NamespaceJob
+include/KPim6/KIMAP/KIMAP/QuotaJobBase
+include/KPim6/KIMAP/KIMAP/RFCCodecs
+include/KPim6/KIMAP/KIMAP/RenameJob
+include/KPim6/KIMAP/KIMAP/SearchJob
+include/KPim6/KIMAP/KIMAP/SelectJob
+include/KPim6/KIMAP/KIMAP/Session
+include/KPim6/KIMAP/KIMAP/SessionUiProxy
+include/KPim6/KIMAP/KIMAP/SetAclJob
+include/KPim6/KIMAP/KIMAP/SetMetaDataJob
+include/KPim6/KIMAP/KIMAP/SetQuotaJob
+include/KPim6/KIMAP/KIMAP/StatusJob
+include/KPim6/KIMAP/KIMAP/StoreJob
+include/KPim6/KIMAP/KIMAP/SubscribeJob
+include/KPim6/KIMAP/KIMAP/UnsubscribeJob
+include/KPim6/KIMAP/kimap/Acl
+include/KPim6/KIMAP/kimap/AclJobBase
+include/KPim6/KIMAP/kimap/AppendJob
+include/KPim6/KIMAP/kimap/CapabilitiesJob
+include/KPim6/KIMAP/kimap/CloseJob
+include/KPim6/KIMAP/kimap/CopyJob
+include/KPim6/KIMAP/kimap/CreateJob
+include/KPim6/KIMAP/kimap/DeleteAclJob
+include/KPim6/KIMAP/kimap/DeleteJob
+include/KPim6/KIMAP/kimap/EnableJob
+include/KPim6/KIMAP/kimap/ExpungeJob
+include/KPim6/KIMAP/kimap/FetchJob
+include/KPim6/KIMAP/kimap/GetAclJob
+include/KPim6/KIMAP/kimap/GetMetaDataJob
+include/KPim6/KIMAP/kimap/GetQuotaJob
+include/KPim6/KIMAP/kimap/GetQuotaRootJob
+include/KPim6/KIMAP/kimap/IdJob
+include/KPim6/KIMAP/kimap/IdleJob
+include/KPim6/KIMAP/kimap/ImapSet
+include/KPim6/KIMAP/kimap/Job
+include/KPim6/KIMAP/kimap/ListJob
+include/KPim6/KIMAP/kimap/ListRightsJob
+include/KPim6/KIMAP/kimap/LoginJob
+include/KPim6/KIMAP/kimap/LogoutJob
+include/KPim6/KIMAP/kimap/MetaDataJobBase
+include/KPim6/KIMAP/kimap/MoveJob
+include/KPim6/KIMAP/kimap/MyRightsJob
+include/KPim6/KIMAP/kimap/NamespaceJob
+include/KPim6/KIMAP/kimap/QuotaJobBase
+include/KPim6/KIMAP/kimap/RFCCodecs
+include/KPim6/KIMAP/kimap/RenameJob
+include/KPim6/KIMAP/kimap/SearchJob
+include/KPim6/KIMAP/kimap/SelectJob
+include/KPim6/KIMAP/kimap/Session
+include/KPim6/KIMAP/kimap/SessionUiProxy
+include/KPim6/KIMAP/kimap/SetAclJob
+include/KPim6/KIMAP/kimap/SetMetaDataJob
+include/KPim6/KIMAP/kimap/SetQuotaJob
+include/KPim6/KIMAP/kimap/StatusJob
+include/KPim6/KIMAP/kimap/StoreJob
+include/KPim6/KIMAP/kimap/SubscribeJob
+include/KPim6/KIMAP/kimap/UnsubscribeJob
+include/KPim6/KIMAP/kimap/acl.h
+include/KPim6/KIMAP/kimap/acljobbase.h
+include/KPim6/KIMAP/kimap/appendjob.h
+include/KPim6/KIMAP/kimap/capabilitiesjob.h
+include/KPim6/KIMAP/kimap/closejob.h
+include/KPim6/KIMAP/kimap/copyjob.h
+include/KPim6/KIMAP/kimap/createjob.h
+include/KPim6/KIMAP/kimap/deleteacljob.h
+include/KPim6/KIMAP/kimap/deletejob.h
+include/KPim6/KIMAP/kimap/enablejob.h
+include/KPim6/KIMAP/kimap/expungejob.h
+include/KPim6/KIMAP/kimap/fetchjob.h
+include/KPim6/KIMAP/kimap/getacljob.h
+include/KPim6/KIMAP/kimap/getmetadatajob.h
+include/KPim6/KIMAP/kimap/getquotajob.h
+include/KPim6/KIMAP/kimap/getquotarootjob.h
+include/KPim6/KIMAP/kimap/idjob.h
+include/KPim6/KIMAP/kimap/idlejob.h
+include/KPim6/KIMAP/kimap/imapset.h
+include/KPim6/KIMAP/kimap/job.h
+include/KPim6/KIMAP/kimap/kimap_export.h
+include/KPim6/KIMAP/kimap/listjob.h
+include/KPim6/KIMAP/kimap/listrightsjob.h
+include/KPim6/KIMAP/kimap/loginjob.h
+include/KPim6/KIMAP/kimap/logoutjob.h
+include/KPim6/KIMAP/kimap/metadatajobbase.h
+include/KPim6/KIMAP/kimap/movejob.h
+include/KPim6/KIMAP/kimap/myrightsjob.h
+include/KPim6/KIMAP/kimap/namespacejob.h
+include/KPim6/KIMAP/kimap/quotajobbase.h
+include/KPim6/KIMAP/kimap/renamejob.h
+include/KPim6/KIMAP/kimap/rfccodecs.h
+include/KPim6/KIMAP/kimap/searchjob.h
+include/KPim6/KIMAP/kimap/selectjob.h
+include/KPim6/KIMAP/kimap/session.h
+include/KPim6/KIMAP/kimap/sessionuiproxy.h
+include/KPim6/KIMAP/kimap/setacljob.h
+include/KPim6/KIMAP/kimap/setmetadatajob.h
+include/KPim6/KIMAP/kimap/setquotajob.h
+include/KPim6/KIMAP/kimap/statusjob.h
+include/KPim6/KIMAP/kimap/storejob.h
+include/KPim6/KIMAP/kimap/subscribejob.h
+include/KPim6/KIMAP/kimap/unsubscribejob.h
+include/KPim6/KIMAP/kimap_version.h
+lib/cmake/KPim6IMAP/KPim6IMAPConfig.cmake
+lib/cmake/KPim6IMAP/KPim6IMAPConfigVersion.cmake
+lib/cmake/KPim6IMAP/KPim6IMAPTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6IMAP/KPim6IMAPTargets.cmake
+lib/libKPim6IMAP.so
+lib/libKPim6IMAP.so.6
+lib/libKPim6IMAP.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/locale/ar/LC_MESSAGES/libkimap6.mo
+share/locale/ast/LC_MESSAGES/libkimap6.mo
+share/locale/bs/LC_MESSAGES/libkimap6.mo
+share/locale/ca/LC_MESSAGES/libkimap6.mo
+share/locale/ca@valencia/LC_MESSAGES/libkimap6.mo
+share/locale/cs/LC_MESSAGES/libkimap6.mo
+share/locale/da/LC_MESSAGES/libkimap6.mo
+share/locale/de/LC_MESSAGES/libkimap6.mo
+share/locale/el/LC_MESSAGES/libkimap6.mo
+share/locale/en_GB/LC_MESSAGES/libkimap6.mo
+share/locale/eo/LC_MESSAGES/libkimap6.mo
+share/locale/es/LC_MESSAGES/libkimap6.mo
+share/locale/et/LC_MESSAGES/libkimap6.mo
+share/locale/eu/LC_MESSAGES/libkimap6.mo
+share/locale/fi/LC_MESSAGES/libkimap6.mo
+share/locale/fr/LC_MESSAGES/libkimap6.mo
+share/locale/ga/LC_MESSAGES/libkimap6.mo
+share/locale/gl/LC_MESSAGES/libkimap6.mo
+share/locale/he/LC_MESSAGES/libkimap6.mo
+share/locale/hu/LC_MESSAGES/libkimap6.mo
+share/locale/ia/LC_MESSAGES/libkimap6.mo
+share/locale/it/LC_MESSAGES/libkimap6.mo
+share/locale/ja/LC_MESSAGES/libkimap6.mo
+share/locale/ka/LC_MESSAGES/libkimap6.mo
+share/locale/kk/LC_MESSAGES/libkimap6.mo
+share/locale/km/LC_MESSAGES/libkimap6.mo
+share/locale/ko/LC_MESSAGES/libkimap6.mo
+share/locale/lt/LC_MESSAGES/libkimap6.mo
+share/locale/lv/LC_MESSAGES/libkimap6.mo
+share/locale/mr/LC_MESSAGES/libkimap6.mo
+share/locale/nb/LC_MESSAGES/libkimap6.mo
+share/locale/nds/LC_MESSAGES/libkimap6.mo
+share/locale/nl/LC_MESSAGES/libkimap6.mo
+share/locale/nn/LC_MESSAGES/libkimap6.mo
+share/locale/pa/LC_MESSAGES/libkimap6.mo
+share/locale/pl/LC_MESSAGES/libkimap6.mo
+share/locale/pt/LC_MESSAGES/libkimap6.mo
+share/locale/pt_BR/LC_MESSAGES/libkimap6.mo
+share/locale/ro/LC_MESSAGES/libkimap6.mo
+share/locale/ru/LC_MESSAGES/libkimap6.mo
+share/locale/sk/LC_MESSAGES/libkimap6.mo
+share/locale/sl/LC_MESSAGES/libkimap6.mo
+share/locale/sq/LC_MESSAGES/libkimap6.mo
+share/locale/sr/LC_MESSAGES/libkimap6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkimap6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkimap6.mo
+share/locale/sr@latin/LC_MESSAGES/libkimap6.mo
+share/locale/sv/LC_MESSAGES/libkimap6.mo
+share/locale/ta/LC_MESSAGES/libkimap6.mo
+share/locale/tr/LC_MESSAGES/libkimap6.mo
+share/locale/ug/LC_MESSAGES/libkimap6.mo
+share/locale/uk/LC_MESSAGES/libkimap6.mo
+share/locale/zh_CN/LC_MESSAGES/libkimap6.mo
+share/locale/zh_TW/LC_MESSAGES/libkimap6.mo
+share/qlogging-categories6/kimap.categories
+share/qlogging-categories6/kimap.renamecategories
diff --git a/net/kio-gdrive/Makefile b/net/kio-gdrive/Makefile
index 4c709a233cd3..6d5e4fba123d 100644
--- a/net/kio-gdrive/Makefile
+++ b/net/kio-gdrive/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kio-gdrive
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	net kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -10,19 +9,17 @@ WWW=		https://www.kde.org/
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	libqt5keychain.so:security/qtkeychain@qt5 \
-		libaccounts-qt5.so:net-im/libaccounts-qt@qt5 \
-		libkaccounts.so:net-im/kaccounts-integration
+LIB_DEPENDS=	libqt6keychain.so:security/qtkeychain@qt6 \
+		libaccounts-qt6.so:net-im/libaccounts-qt@qt6 \
+		libkaccounts6.so:net-im/kaccounts-integration
 RUN_DEPENDS=	kaccounts-providers>=0:net-im/kaccounts-providers
 
-USES=		cmake gettext gnome kde:5 pkgconfig qt:5 tar:xz
+USES=		cmake gettext gnome kde:6 pkgconfig qt:6 tar:xz
 USE_GNOME=	intltool
-USE_KDE=	completion config coreaddons i18n jobwidgets kio \
+USE_KDE=	completion config coreaddons gapi i18n jobwidgets kio \
 		notifications purpose service solid widgetsaddons windowsystem \
-		gapi \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build  qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
